# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# This package is superseded by the version included in Test-Harness ≥ 3.0
# bundled with perl 5.10 onwards from Fedora 9

Name:		perl-TAP-Harness
Version:	3.38
Release:	1%{?dist}
Summary:	Run Perl standard test scripts with statistics
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/Test-Harness
Source0:	http://cpan.metacpan.org/authors/id/L/LE/LEONT/Test-Harness-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
BuildRequires:	perl(base)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Pod::Usage) >= 1.12
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Text::ParseWords)
BuildRequires:	perl(Time::HiRes)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Run Perl tests and output formatted results with statistics.

%prep
%setup -q -n Test-Harness-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/TAP/
%{_mandir}/man3/TAP::Base.3*
%{_mandir}/man3/TAP::Formatter::Base.3*
%{_mandir}/man3/TAP::Formatter::Color.3*
%{_mandir}/man3/TAP::Formatter::Console.3*
%{_mandir}/man3/TAP::Formatter::Console::ParallelSession.3*
%{_mandir}/man3/TAP::Formatter::Console::Session.3*
%{_mandir}/man3/TAP::Formatter::File.3*
%{_mandir}/man3/TAP::Formatter::File::Session.3*
%{_mandir}/man3/TAP::Formatter::Session.3*
%{_mandir}/man3/TAP::Harness.3*
%{_mandir}/man3/TAP::Harness::Beyond.3*
%{_mandir}/man3/TAP::Harness::Env.3*
%{_mandir}/man3/TAP::Object.3*
%{_mandir}/man3/TAP::Parser.3*
%{_mandir}/man3/TAP::Parser::Aggregator.3*
%{_mandir}/man3/TAP::Parser::Grammar.3*
%{_mandir}/man3/TAP::Parser::Iterator.3*
%{_mandir}/man3/TAP::Parser::Iterator::Array.3*
%{_mandir}/man3/TAP::Parser::Iterator::Process.3*
%{_mandir}/man3/TAP::Parser::Iterator::Stream.3*
%{_mandir}/man3/TAP::Parser::IteratorFactory.3*
%{_mandir}/man3/TAP::Parser::Multiplexer.3*
%{_mandir}/man3/TAP::Parser::Result.3*
%{_mandir}/man3/TAP::Parser::Result::Bailout.3*
%{_mandir}/man3/TAP::Parser::Result::Comment.3*
%{_mandir}/man3/TAP::Parser::Result::Plan.3*
%{_mandir}/man3/TAP::Parser::Result::Pragma.3*
%{_mandir}/man3/TAP::Parser::Result::Test.3*
%{_mandir}/man3/TAP::Parser::Result::Unknown.3*
%{_mandir}/man3/TAP::Parser::Result::Version.3*
%{_mandir}/man3/TAP::Parser::Result::YAML.3*
%{_mandir}/man3/TAP::Parser::ResultFactory.3*
%{_mandir}/man3/TAP::Parser::Scheduler.3*
%{_mandir}/man3/TAP::Parser::Scheduler::Job.3*
%{_mandir}/man3/TAP::Parser::Scheduler::Spinner.3*
%{_mandir}/man3/TAP::Parser::Source.3*
%{_mandir}/man3/TAP::Parser::SourceHandler.3*
%{_mandir}/man3/TAP::Parser::SourceHandler::Executable.3*
%{_mandir}/man3/TAP::Parser::SourceHandler::File.3*
%{_mandir}/man3/TAP::Parser::SourceHandler::Handle.3*
%{_mandir}/man3/TAP::Parser::SourceHandler::Perl.3*
%{_mandir}/man3/TAP::Parser::SourceHandler::RawTAP.3*
%{_mandir}/man3/TAP::Parser::YAMLish::Reader.3*
%{_mandir}/man3/TAP::Parser::YAMLish::Writer.3*
# These conflict with Test::Harness that is part of perl
%exclude %{_bindir}/prove
%exclude %{perl_vendorlib}/App/
%exclude %{perl_vendorlib}/Test/
%exclude %{_mandir}/man1/prove*
%exclude %{_mandir}/man3/App::Prove*
%exclude %{_mandir}/man3/Test::Harness*
%exclude %{_mandir}/man3/Test::HACKING.3*

%changelog
* Tue Mar 14 2017 Paul Howarth <paul@city-fan.org> - 3.38-1
- Update to 3.38
  - Set PERL_USE_UNSAFE_INC when running tests using Test::Harness
  - Avoid loading optional modules from . in prove

* Fri Jan  1 2016 Paul Howarth <paul@city-fan.org> - 3.36-1
- Update to 3.36
  - Accept YAML with trailing whitespace in header
  - Stop bundling Test::More for testing

* Thu Jan 15 2015 Paul Howarth <paul@city-fan.org> - 3.35-1
- Update to 3.35
  - Fix prove --version to actually print the version (CPAN RT#101216)
  - Add --version to usage message (CPAN RT#101215)

* Fri Nov  7 2014 Paul Howarth <paul@city-fan.org> - 3.34-1
- Update to 3.34
  - Various documentation fixes
  - Enable printing CPU times spent per test

* Thu Jun 12 2014 Paul Howarth <paul@city-fan.org> - 3.32-1
- Update to 3.32
  - Remove harness_class from argument hash in TAP::Harness::Env

* Tue Jun 10 2014 Paul Howarth <paul@city-fan.org> - 3.31-1
- Update to 3.31
  - Implement external rulesfile for TAP::Harness
  - Add harness_class argument to TAP::Harness::Env
  - Make prove respect environmental variables
    (https://github.com/Perl-Toolchain-Gang/Test-Harness/issues/28)
- Drop %%defattr, redundant since rpm 4.4

* Wed Nov 13 2013 Paul Howarth <paul@city-fan.org> - 3.30-1
- Update to 3.30
  - Respect PERL5LIB in tainting source handler test
  - Use base instead of parent: this dist is used for testing all other
    modules, so it should avoid having any non-core prerequisites; having
    parent as a prereq leads to a circular dependency of
    parent -> Test::More -> Test::Harness
  - Various POD fixes
  - Don't localize all of %%ENV in harness.t
  - Give TAP::Harness::Beyond a unique NAME
- This release by LEONT -> update source URL

* Fri Oct 11 2013 Paul Howarth <paul@city-fan.org> - 3.29-1
- Update to 3.29
  - Get rid of use vars in favour of our in all modules and tests
  - Added use warnings to all modules and tests
  - Use parent instead of @ISA in all modules and tests
  - Fix failing test on VMS
  - Improve error message on loading failure (CPAN RT#77730)
  - Use Text::ParseWords, deprecate and remove TAP::Parser::Utils

* Thu May  2 2013 Paul Howarth <paul@city-fan.org> - 3.28-1
- Update to 3.28
  - Bugfix: Fix taint failures on Windows

* Wed May  1 2013 Paul Howarth <paul@city-fan.org> - 3.27-1
- Update to 3.27
  - Dramatically reduce memory usage (CPAN RT#84939)
  - Store test_num (in Grammar.pm) as a number instead of a string, which
    reduces memory usage (CPAN RT#84939)
  - PERL5LIB is always propagated to a test's @INC, even with taint more
    (CPAN RT#84377)

* Mon Apr  1 2013 Paul Howarth <paul@city-fan.org> - 3.26-1
- Import from Fedora
- Update to 3.26

* Mon Jun  2 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 3.10-1
- Specfile autogenerated by cpanspec 1.75
- Fix description
- Exclude Test::Harness
